Subject: [manet] previous posting

From: "Marco Carvalho" <[email-masked]>
Date: Wed, 7 May 2003 13:15:47 -0500

Hi, 
This is in regards to a previous posting (I missed it for a few days)
but I would like to check on something in regards to Philippe's answer:
 
As far as I know (somebody please correct me if I'm wrong) the reactive
protocols take no advantage of distance-vector or link-state information
during the RREQ/RREP phase. The point of this stage would actually be to
discover the routes (on demand). So RREQ packets are either flooded to
all nodes (or to nodes in some limited region, like in the directed
diffusion case).

Does that sound reasonable? 
I was wondering if maybe I have a misconception on reactive protocols.
Thanks,
Marco

--------------- previous posting ------------------
 
Yes OLSR uses Dijkstra, but DSDV uses Belman-Ford. It depends whether
the
proactive protocol is link state or not.
 
Philippe
----- Original Message -----
From: jian wu <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, April 30, 2003 5:17 PM
Subject: [manet] routing

>
> Dear all
>
> I am a student currently working on ad hoc routing. I have a question
here:
> I know that in reactive protocols such as DSR or AODV, source nodes
send
out
> RREQ to discover routes and expect RREP back. I wonder whether there
is
any
> route computation (e.g. using Dijkstra's or Bellman Ford algorithm)
involved
> in this process? And how about proactive protocols such as OLSR, is
Dijkstra
> used there when computing the routing table?
>
> Many thanks, Jian Wu
>
>
>